更新 windows10EnrollmentCompletionPageConfiguration

命名空间:microsoft.graph

重要: /beta 版本下的 Microsoft Graph API 可能会发生更改;不支持生产用途。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

更新 windows10EnrollmentCompletionPageConfiguration 对象的 属性。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementServiceConfig.ReadWrite.All、DeviceManagementConfiguration.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
Application DeviceManagementServiceConfig.ReadWrite.All、DeviceManagementConfiguration.ReadWrite.All

HTTP 请求

PATCH /deviceManagement/deviceEnrollmentConfigurations/{deviceEnrollmentConfigurationId}

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,为 windows10EnrollmentCompletionPageConfiguration 对象提供 JSON 表示形式。

下表显示了创建 windows10EnrollmentCompletionPageConfiguration 时所需的属性。

属性 类型 说明
id 字符串 deviceEnrollmentConfiguration 继承的帐户的唯一标识符
displayName String deviceEnrollmentConfiguration 继承的设备注册配置的显示名称
说明 String deviceEnrollmentConfiguration 继承的设备注册配置的说明
priority Int32 当用户存在于分配了注册配置的多个组中时,将使用优先级。 用户仅受优先级最低的配置的约束。 继承自 deviceEnrollmentConfiguration
createdDateTime DateTimeOffset 在 UTC 中创建的设备注册配置的日期时间继承自 deviceEnrollmentConfiguration
lastModifiedDateTime DateTimeOffset deviceEnrollmentConfiguration 继承的设备注册配置的 UTC 中上次修改的日期时间
version Int32 deviceEnrollmentConfiguration 继承的设备注册配置的版本
roleScopeTagIds 字符串集合 注册限制的可选角色范围标记。 继承自 deviceEnrollmentConfiguration
deviceEnrollmentConfigurationType deviceEnrollmentConfigurationType 支持从 deviceEnrollmentConfiguration 继承的注册配置类型。 可能的值是:unknownlimitplatformRestrictionswindowsHelloForBusinessdefaultLimitdefaultPlatformRestrictionsdefaultWindowsHelloForBusinessdefaultWindows10EnrollmentCompletionPageConfigurationwindows10EnrollmentCompletionPageConfigurationdeviceComanagementAuthorityConfigurationsinglePlatformRestrictionunknownFutureValueenrollmentNotificationsConfiguration
showInstallationProgress Boolean 向用户显示或隐藏安装进度
blockDeviceSetupRetryByUser Boolean 允许用户在安装失败时重试安装程序
allowDeviceResetOnInstallFailure Boolean 在安装失败时允许或阻止设备重置
allowLogCollectionOnInstallFailure 布尔 在安装失败时允许或阻止日志收集
customErrorMessage String 设置安装失败时显示的自定义错误消息
installProgressTimeoutInMinutes Int32 设置安装进度超时(以分钟为单位)
allowDeviceUseOnInstallFailure Boolean 允许用户在安装失败时继续使用设备
selectedMobileAppIds 字符串集合 用于跟踪安装状态的选定应用程序
allowNonBlockingAppInstallation Boolean 在白手套期间将所有必需的应用安装为非阻止应用
trackInstallProgressForAutopilotOnly 布尔 仅显示 Autopilot 注册方案的安装进度
disableUserStatusTrackingAfterFirstUser 布尔 仅显示第一个用户注册后的安装进度

响应

如果成功,此方法在响应正文中返回 200 OK 响应代码和更新的 windows10EnrollmentCompletionPageConfiguration 对象。

示例

请求

下面是一个请求示例。

PATCH https://graph.microsoft.com/beta/deviceManagement/deviceEnrollmentConfigurations/{deviceEnrollmentConfigurationId}
Content-type: application/json
Content-length: 839

{
  "@odata.type": "#microsoft.graph.windows10EnrollmentCompletionPageConfiguration",
  "displayName": "Display Name value",
  "description": "Description value",
  "priority": 8,
  "version": 7,
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "deviceEnrollmentConfigurationType": "limit",
  "showInstallationProgress": true,
  "blockDeviceSetupRetryByUser": true,
  "allowDeviceResetOnInstallFailure": true,
  "allowLogCollectionOnInstallFailure": true,
  "customErrorMessage": "Custom Error Message value",
  "installProgressTimeoutInMinutes": 15,
  "allowDeviceUseOnInstallFailure": true,
  "selectedMobileAppIds": [
    "Selected Mobile App Ids value"
  ],
  "allowNonBlockingAppInstallation": true,
  "trackInstallProgressForAutopilotOnly": true,
  "disableUserStatusTrackingAfterFirstUser": true
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1011

{
  "@odata.type": "#microsoft.graph.windows10EnrollmentCompletionPageConfiguration",
  "id": "77bf8248-8248-77bf-4882-bf774882bf77",
  "displayName": "Display Name value",
  "description": "Description value",
  "priority": 8,
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "version": 7,
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "deviceEnrollmentConfigurationType": "limit",
  "showInstallationProgress": true,
  "blockDeviceSetupRetryByUser": true,
  "allowDeviceResetOnInstallFailure": true,
  "allowLogCollectionOnInstallFailure": true,
  "customErrorMessage": "Custom Error Message value",
  "installProgressTimeoutInMinutes": 15,
  "allowDeviceUseOnInstallFailure": true,
  "selectedMobileAppIds": [
    "Selected Mobile App Ids value"
  ],
  "allowNonBlockingAppInstallation": true,
  "trackInstallProgressForAutopilotOnly": true,
  "disableUserStatusTrackingAfterFirstUser": true
}